Bug 88758 - rhn-applet NPTL futex lockup
rhn-applet NPTL futex lockup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-13 06:55 EDT by Warren Togami
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-09 01:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-04-13 06:55:42 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux) 
 
Description of problem: 
I'm not sure what happened, but on two occasions rhn-applet would freeze.  Initially the icon in 
the systray would look corrupted, and later it would disappear entirely.  The process however 
did not crash. 
 
Later I discovered that it is keeping a perpetual lock on the rpm database, and strace reveals 
that it is stuck at the NPTL futex, very similar to the rpm lockup problems. 
 
[root@laptop root]# fuser /var/lib/rpm/Packages 
/var/lib/rpm/Packages:  3594 
[root@laptop root]# ps -ef |grep 3594 |grep -v grep 
warren    3594     1  0 Apr12 ?        00:00:07 /usr/bin/python /usr/bin/rhn-applet-gui 
--sm-client-id default5 
[root@laptop root]# strace -p 3594 
futex(0x42132320, FUTEX_WAIT, -2, NULL 
 
Version-Release number of selected component (if applicable): 
rhn-applet-2.0.9-0.9.0.1 
kernel-2.4.20-9 
glibc-2.3.2-27.9
Comment 1 Daniel Veillard 2003-04-13 11:26:07 EDT
Sounds like a problem associated to the rpm library or its bindings,
rhn-applet just uses the Python bindings for librpm.

Daniel
Comment 2 Harold Campbell 2003-06-14 23:53:11 EDT
FWIW I've seen hangs in programs on FUTEX_WAIT which have nothing to do with
RPM. Totem comes to mind specifically. I've also just discovered today that the
ximian installer runs through it's rpm verification much faster with
LD_ASSUME_KERNEL=2.4.5.

On my main machine I switched to virgin kernels to avoid the problem long ago.
Comment 3 Warren Togami 2003-09-09 01:06:54 EDT
I'm guessing this is fixed by recent rpm-4.2.1.

Note You need to log in before you can comment on or make changes to this bug.